%define patch_name	kernel-fix-drivers-block

Name: %patch_name
Version: 2005.03.14
Release: alt1.M30.4

Summary: %patch_name - Linux kernel block drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# kernel 2.4 patches

%source  0	2.4_00_loop-fix.patch				2.4
%source  1	2.4_01_loop-off-by-one-1.patch			2.4

# kernel 2.6 patches

%source 2600	2.6_00_cciss-pci-ids.patch			2.6
%source 2601	2.6_01_packet-writing-oops-fix.patch		2.6
%source 2602	2.6_02_cciss-bug-fix-for-big_pass_thru.patch	2.6

BuildRequires: kernel-build-tools

%description
Linux kernel block drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Wed Feb 08 2006 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1.M30.4
- Added patches for 2.6.12:
  + 2.6_02_cciss-bug-fix-for-big_pass_thru.patch: cciss: fix CCISS_BIG_PASSTHRU
    ioctl

* Sun Nov 27 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1.M30.3
- Added patches for 2.6.12:
  + 2.6_01_packet-writing-oops-fix.patch: pktcdvd: fix array overrun

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1.M30.2
- Added patches for 2.4.29:
  - 2.4_01_loop-off-by-one-1.patch: fix off by one bug in loop.c

* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1.M30.1
- Added:
  + 2.6_00_cciss-pci-ids.patch: cciss: fix wrong PCI ID, add PCI ID for SA E300

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_044-elevator_noop_add_request.patch
  - 2.6_00_050-cfq_requeue_request_accounting.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added 2.4_ and 2.6_ prefixes to the patch file names.
- Added patches from 2.6.10-as3:
  + 2.6_00_044-elevator_noop_add_request.patch
  + 2.6_00_050-cfq_requeue_request_accounting.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 01_cciss-2.4.52.patch

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Added:
  + 01_cciss-2.4.52.patch: add support for SA 6422 and SA V100 controllers

* Tue Dec 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.09-alt1
- Initial release
- 00_loop-fix.patch - fix losetup uninterruptible sleep if kernel_thread fails

